#283 closed defect (fixed)

The 'reentrant' password access routines aren't reentrant.

Reported by: Eric Norum Owned by: Jennifer Averett
Priority: lowest Milestone: 2
Component: fs Version: unknown
Severity: normal Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

getpwnam_r and getpwuid_r use static buffers.
As well, getpwnam uses a large local array and will likely cause blown stacks some day!

Release:
RTEMS-CVS

Attachments (1)

pwdPatch (18.2 KB) - added by Eric Norum on Dec 3, 2006 at 1:31:12 PM.
pwdPatch

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Sep 14, 2002 at 8:15:33 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Oct 2, 2002 at 4:34:48 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Patch applied. Thanks.

Changed on Dec 3, 2006 at 1:31:12 PM by Eric Norum

Attachment: pwdPatch added

pwdPatch

Note: See TracTickets for help on using tickets.